/* --------------------------- ANCHOR Custom Style -------------------------- */
.subtitle {
  background-color: rgb(255 255 255 / 15%);
  backdrop-filter: blur(3px);
  padding: 6px 15px 6px 45px !important;
  border-radius: 12px;
  &::before {
    content: "";
    position: absolute;
    left: 25px;
    top: 50%;
    width: 25px;
    height: 2px;
    background-color: #ffffff;
    border-radius: 3px;
    transform: translate(-50%, -50%);
  }
}
.subtitle2 {
  position: relative;
  &::before {
    content: "";
    position: absolute;
    left: 15px;
    top: 50%;
    width: 25px;
    height: 2px;
    background-color: #ffffff;
    border-radius: 3px;
    transform: translate(-50%, -50%);
  }
}

/* ------------------------------ Blog-Template ----------------------------- */
.blog-slider {
  --slider-padding: 20px;
  padding: var(--slider-padding);
  box-sizing: border-box;
  .swiper {
    overflow: hidden;
    margin: calc(-1 * var(--slider-padding));
    width: calc(100% + (2 * var(--slider-padding)));
    padding: var(--slider-padding);
    box-sizing: border-box;
  }

  .blog-item {
    .elementor-button {
      &:hover svg,
      &:focus svg {
        fill: transparent !important;
      }

      svg {
        font-size: 30px;
      }
    }
  }

  .swiper-pagination-bullet {
    width: 16px !important;
    height: 10px !important;
    border-radius: 10px;
    background-color: #ddd !important;
    opacity: 1 !important;
    margin: 0 4px !important;
    transition: all 0.3s ease;
  }

  /* Aktiver Slide - längerer Strich */
  .swiper-pagination-bullet-active {
    width: 40px !important;
    background-color: #ff6600 !important;
  }

  /* Optional: Hover Effekt */
  .swiper-pagination-bullet:hover {
    background-color: #ff6600 !important;
  }

  .elementor-swiper-button {
    position: absolute !important;
    top: -50px !important;
    width: 50px !important;
    height: 50px !important;
    background: #ff6600;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 12px 12px 12px 12px !important;
  }

  .elementor-swiper-button-prev {
    right: 65px !important;
    left: auto !important;
  }

  .elementor-swiper-button-next {
    right: 0 !important;
  }
}
/* ----------------------------- Project-Slider ----------------------------- */
.project-slider,
.kunden-carousel {
  position: relative !important;

  .swiper {
    width: 100% !important;
    margin-bottom: 30px;
  }

  .elementor-swiper-button {
    position: absolute !important;
    top: -50px !important;

    width: 50px !important;
    height: 50px !important;

    display: flex;
    justify-content: center;
    align-items: center;

    background: #ff6600 !important;
    border-radius: 12px;

    svg {
      display: none !important;
    }

    &::before {
      content: "";
      display: block;

      width: 28px;
      height: 28px;

      background-color: #fff;

      -webkit-mask-repeat: no-repeat;
      mask-repeat: no-repeat;

      -webkit-mask-position: center;
      mask-position: center;

      -webkit-mask-size: 28px;
      mask-size: 28px;

      transition: opacity 0.2s ease;
    }

    /* Hover nur auf das Icon */
    &:hover::before {
      opacity: 0.75;
    }
  }

  .elementor-swiper-button-prev {
    right: 65px !important;
    left: auto !important;

    &::before {
      -webkit-mask-image: url("/wp-content/uploads/2026/08/angles-left-solid.svg");
      mask-image: url("/wp-content/uploads/2026/08/angles-left-solid.svg");
    }
  }

  .elementor-swiper-button-next {
    right: 0 !important;

    &::before {
      -webkit-mask-image: url("/wp-content/uploads/2026/08/angles-right-solid.svg");
      mask-image: url("/wp-content/uploads/2026/08/angles-right-solid.svg");
    }
  }

  .elementor-arrows-position-outside > .swiper {
    width: 100% !important;
  }

  .swiper-pagination-bullet {
    width: 16px !important;
    height: 10px !important;
    border-radius: 10px;
    background-color: #ddd !important;
    opacity: 1 !important;
    margin: 0 4px !important;
    transition: all 0.3s ease;
  }

  /* Aktiver Slide - längerer Strich */
  .swiper-pagination-bullet-active {
    width: 40px !important;
    background-color: #ff6600 !important;
  }

  /* Optional: Hover Effekt */
  .swiper-pagination-bullet:hover {
    background-color: #ff6600 !important;
  }
}

/* -------------------------------- PDF VIWER ------------------------------- */
.pdf-view {
  display: flex;
  justify-content: center;
  border-radius: 20px;
}

.pdf-view .elementor-widget-image {
  width: 100%;
}

.pdf-view .elementor-widget-image a {
  position: relative;
  display: block;
  width: 100%;
  text-align: center;
}

.pdf-view .elementor-widget-image img {
  width: 100%;
  max-width: 595px;
  max-height: 800px;
  height: auto;
  object-fit: contain;
  display: block;
  margin: 0 auto;
}

.pdf-view .elementor-widget-image a::after {
  content: "Größen-Guide öffnen →";
  position: absolute;
  inset: 0;

  display: flex;
  align-items: center;
  justify-content: center;

  background: rgba(0, 0, 0, 0.4);
  color: #fff;

  font-size: 18px;
  font-weight: 700;
  letter-spacing: 1px;

  opacity: 0.5;
  transition: opacity 0.3s ease;
  border-radius: 20px;
}

.pdf-view .elementor-widget-image a:hover::after {
  opacity: 1;
}



.elementor-widget-text-editor.editor-custom p {
    margin-block-start: 0 !important;
    margin-block-end: 10px !important;
}

.elementor-widget-text-editor.editor-custom h1 {
    margin-block-start: 10px !important;
    margin-block-end: 10px !important;
    color: #ff6600 !important;
}

.elementor-widget-text-editor.editor-custom h2 {
    margin-block-start: 10px !important;
    margin-block-end: 15px !important;
}

.elementor-widget-text-editor a{
    color: #ff6600;
}.elementor-field-option a {
    color: #fff ;
}:is(.elementor-field-option a:hover) {
 color: #ff6600;
}

.mobile-button-text {
    display: none;
}

@media (max-width: 767px) {
    .desktop-button-text {
        display: none;
    }

    .mobile-button-text {
        display: inline;
    }
}